import React from 'react';
import { CombinatorRendererProps, JsonFormsUISchemaRegistryEntry, JsonSchema, RendererProps } from '@jsonforms/core';
interface FragmentReferenceProps extends RendererProps {
    data?: any;
    enabled: boolean;
    errors: any;
    id: any;
    isValid: any;
    label?: string | undefined;
    required: any;
    rootSchema: JsonSchema;
    uischemas: JsonFormsUISchemaRegistryEntry[];
    visible: any;
}
export declare const SpectrumContentReferenceControl: React.MemoExoticComponent<({ config, data, enabled, errors, handleChange, id, isValid, label, path, required, rootSchema, schema, uischema, visible, }: FragmentReferenceProps & CombinatorRendererProps & {
    schema: any;
}) => JSX.Element>;
declare const _default: React.ComponentType<import("@jsonforms/core").OwnPropsOfControl>;
export default _default;
